Page MenuHomePhabricator

Dead-end pages seems to be including non-deadend pages on enwiki
Open, Needs TriagePublic

Description

A problem with the Dead-end pages has been discovered at Wikipedia as discussed here https://en.wikipedia.org/wiki/Wikipedia_talk:Special:DeadendPages

Is there anyone working on remedying this situation who I can be put in touch with please?

Event Timeline

Bulgarios assigned this task to admin.
Bulgarios raised the priority of this task from to Needs Triage.
Bulgarios updated the task description. (Show Details)
Bulgarios added a project: Developer-notice.
Bulgarios added a subscriber: Bulgarios.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2015, 4:22 PM

You are unlikely to attract anyone's attention by assigning things to @admin

Krenair renamed this task from Dead-end pages to Dead-end pages seems broken on enwiki?.Jun 27 2015, 4:26 PM
Krenair removed admin as the assignee of this task.
Krenair edited projects, added MediaWiki-Special-pages; removed Developer-notice.
Krenair set Security to None.

Could you provide examples of pages that shouldn't be on the list? Note that it's cached as stated above the page.

Thank you Krenair, and thank you Glaisher. Please note especially this part of the conversation https://en.wikipedia.org/wiki/Wikipedia_talk:Special:DeadendPages#Deadend_Pages_Broken.3F which I posted above. An example of a page listed as dead-end is number 1 on the list https://en.wikipedia.org/w/index.php?title=Alternative_Tea which you can see is a working link. also number 2 https://en.wikipedia.org/wiki/Arnaud_Leclercq and number 7 https://en.wikipedia.org/wiki/Carnwath_Farms_Historic_Site_%26_Park and many many more on the list. Hope this helps narrow down the problem.

Krenair closed this task as Invalid.EditedJun 27 2015, 11:55 PM
Krenair claimed this task.

The Alternative Tea entry is correct - https://en.wikipedia.org/w/index.php?title=Alternative_Tea&oldid=667827998 was a dead-end page. It has since been fixed, but that occurred after the given cache time (05:11, 23 June 2015 in UTC+1).
As was Arnaud Leclercq: https://en.wikipedia.org/w/index.php?title=Arnaud_Leclercq&oldid=667766751
And Carnwath Farms Historic Site & Park: https://en.wikipedia.org/w/index.php?title=Carnwath_Farms_Historic_Site_%26_Park&oldid=668248612

All three examples by Bulgarios are invalid. Those pages really were dead ends when https://en.wikipedia.org/wiki/Special:DeadendPages was cached 04:11, 23 June 2015.
I posted a series of real examples at https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_%28technical%29#Dead-end_pages

Krenair reopened this task as Open.Jun 28 2015, 12:02 AM

Thank you for re-opening this task Krenair and my apologies Krenair for not realizing the cache does not update as quickly as I expected.

Many thanks to PrimeHunter for pointing out the other cases which illustrate the problem is real nonetheless.

Krenair removed Krenair as the assignee of this task.Jun 29 2015, 1:17 AM

Please edit the task summary and replace "broken" by a description of the actual problem. "broken" can mean a lot of things. Thanks. :)

Krenair renamed this task from Dead-end pages seems broken on enwiki? to Dead-end pages seems to be including non-deadend pages on enwiki.Jun 29 2015, 1:52 PM